DRM_MODE_CREATE_FROM(9)

NAME
drm_mode_create_from_cmdline_mode - convert a command line modeline into a DRM display mode

SYNOPSIS

struct drm_display_mode * drm_mode_create_from_cmdline_mode(struct drm_device * dev, struct drm_cmdline_mode * cmd);

ARGUMENTS

dev
    DRM device to create the new mode for

cmd
    input command line modeline

RETURNS

Pointer to converted mode on success, NULL on error.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT